Subject: Re: bug#60031: 30.0.50; [PATCH] Fix GDB default history size

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Dec 2022 14:57:19 +0200

> From: Manuel Giraud <[email-masked]>
> Date: Tue, 13 Dec 2022 11:01:17 +0100
> 
> Here is a patch that fixes the default for GDB history size.

Maybe I'm missing something, but why do we need this?  It looks to me
like the code below the getenv call already refrains from changing the
value of comint-input-ring-size if HISTSIZE is not set, or is zero,
etc.  What did I miss?